[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

cpufreqd, 484467 (grave) and CONFIG_ACPI_PROCFS_POWER in Lenny


from the debian linux-2.6 svn repository it looks like
CONFIG_ACPI_PROCFS_POWER is not going to be set for 2.6.26.

cpufreqd has a grave bug filed (#484467) for the broken ACPI battery
level support.
I (with the cpufreqd upstream hat on) released a new cpufreqd (2.3.0)
that reads from sysfs rather than /proc but the change is quite invasive
and I (with the cpufreqd maintainer hat on) am now wondering if I should
upload it (which I will do anyway in the next days) and ask for a freeze
exception or not.
The other option would be to ask for CONFIG_ACPI_PROCFS_POWER to be
enabled in Lenny which I'm unsure if it's a good idea but it'd also
allow battery support in gkrellm (#463779).

The diff for the new cpufreqd version is attached (gzipped), in
short it touches most of the acpi info reading code to make it go to
sysfs (using libsysfs2) plus some trivial fixes here and there.

Any suggestion?

Attachment: cpufreqd-2.3.diff.gz
Description: Binary data

Reply to: